%global dlrn_nvr python-tempestconf-3.3.1.dev11-1.20221216123732.29cc500
%global dlrn 1
%define upstream_version 3.3.1.dev11
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pname tempestconf

%global with_doc 0

%global common_desc \
python-tempestconf will automatically generates the tempest \
configuration based on your cloud.

Name:           python-%{pname}
Version: 3.3.1
Release: 1.20221216123732.29cc500%{?dist}
Summary:        OpenStack Tempest Config generator

License:        ASL 2.0
URL:            http://git.openstack.org/cgit/openstack/python-%{pname}
Source0: python-tempestconf-3.3.1.dev11-1.20221216123732.29cc500.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=29cc5000c65e1d1d1a3b89f27134070cea83f09d

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        http://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

BuildRequires:  python3-devel
BuildRequires:  python3-pbr >= 3.1.1
BuildRequires:  python3-setuptools
BuildRequires:  python3-tenacity
BuildRequires:  git-core

# test dependencies

BuildRequires:  python3-subunit
BuildRequires:  python3-oslotest
BuildRequires:  python3-stestr
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-tempest
BuildRequires:  python3-openstacksdk >= 0.11.3

%description
%{common_desc}

%package -n     python3-%{pname}
Summary:        OpenStack Tempest Config generator
%{?python_provide:%python_provide python3-%{pname}}
Obsoletes: python2-%{pname} < %{version}-%{release}

Requires:       python3-pbr >= 3.1.1
Requires:       python3-tempest >= 1:18.0.0
Requires:       python3-requests
Requires:       python3-tenacity
Requires:       python3-openstacksdk >= 0.11.3
Requires:       python3-six
Requires:       python3-oslo-config >= 2:3.23.0

Requires:      python3-PyYAML

%description -n python3-%{pname}
%{common_desc}

%package -n python3-%{pname}-tests
Summary:    python3-tempestconf tests
Requires:   python3-%{pname} = %{version}-%{release}

Requires:   python3-subunit
Requires:   python3-oslotest
Requires:   python3-testrepository
Requires:   python3-testscenarios
Requires:   python3-testtools

%description -n python3-%{pname}-tests
%{common_desc}

It contains the test suite.

%if 0%{?with_doc}
%package -n python-%{pname}-doc
Summary:        python-tempestconf documentation

BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-sphinx-argparse >= 0.2.2
BuildRequires:  python3-sphinxcontrib-rsvgconverter
BuildRequires:  python3-reno

%description -n python-%{pname}-doc
%{common_desc}

Documentation for python-tempestconf
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n python-tempestconf-%{upstream_version} -S git

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
export PYTHONPATH=.
sed -i '/^ *releasenotes\/index/d' doc/source/index.rst
sphinx-build -W -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

# The only file from this location is going to be removed soon
rm -rf %{buildroot}/usr/etc/tempest/*

%check
export OS_TEST_PATH='./config_tempest/tests'
export PATH=$PATH:$RPM_BUILD_ROOT/usr/bin
export PYTHONPATH=$PWD
export PYTHON=%{__python3}
stestr --test-path $OS_TEST_PATH run

%files -n python3-%{pname}
%license LICENSE
%doc README.rst
%{_bindir}/discover-tempest-config
%{python3_sitelib}/config_tempest
%exclude %{python3_sitelib}/config_tempest/tests
%{python3_sitelib}/python_tempestconf-*.egg-info

%files -n python3-%{pname}-tests
%license LICENSE
%{python3_sitelib}/config_tempest/tests

%if 0%{?with_doc}
%files -n python-%{pname}-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Fri Dec 16 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221216123732.29cc500
- Update patches

* Mon Dec 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221212204356.29cc500
- Change class variables to instance variables
- Change class variables to instance variables

* Wed Dec 07 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221207204317.6488be3
- Update patches

* Wed Dec 07 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221207193848.6488be3
- Update patches

* Wed Dec 07 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221207153950.6488be3
- Update patches

* Fri Nov 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221125223741.6488be3
- Update patches
- Change class variables to instance variables

* Fri Nov 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221125183833.29cc500
- Update patches
- Remove designate tests from admin-plugins job

* Thu Sep 15 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220915214050.d5fc8ad
- Update patches
- [share] Add support for thin_provisioning

* Wed Sep 07 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220907204123.9aec82a
- Update patches
- Fix cinder-backup logic

* Wed Aug 31 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220831204123.dea47bb
- Update patches
- Swith to packstack-centos-9 job

* Wed Aug 24 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220824234112.7736ba2
- Update patches
- [CI] Fix manila tempest plugin issue in W/V

* Tue Aug 23 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220823234118.448ff51
- Update patches
- Drop py3.6/7, T, U jobs and fix neutron discovery

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220727140649.a8aaad5
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220714131805.a8aaad5
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220713082849.a8aaad5
- Update patches

* Tue May 03 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220503222235.a8aaad5
- Update patches
- Unskip devstack-admin-plugins job

* Mon Apr 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220425214250.7f14a54
- Update patches
- Update jobs for Zed development cycle

* Mon Apr 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.0-0.20220425203533.6bb29fd
- Update jobs for Zed development cycle

* Mon Apr 04 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20220404182500.6bb29fd
- Update patches
- Fix TestImageService's unit tests

* Mon Apr 04 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20220404162525.9586241
- Fix TestImageService's unit tests

* Fri Mar 18 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20220318212314.9586241
- Update patches
- Add multistore image option

* Thu Mar 10 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20220310222252.8e5a594
- Update patches
- discoverability may not be defined on object-storage-feature-enabled

* Wed Mar 02 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20220302221924.490a7ea
- Update patches
- Fix no floating_network_name option

* Tue Feb 15 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20220215230225.e30addb
- Update patches
- Move TripleO zuul jobs layout to centos9 only for master branch

* Fri Feb 11 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20220211210402.9f14691
- Update patches
- Use run-tempest-26 in stable/train job

* Thu Jan 20 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20220120222243.d630e48
- Update patches
- Use python-manilaclient from source
- Remove references to live_migrate_migrate_instance
- Fix scenario010 job configuration

* Thu Nov 25 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20211125221848.67f7408
- Update patches
- Uncomment jobs, part 1

* Mon Nov 22 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20211122221913.af54e47
- Update patches
- Make release notes part of the documentation
- Publish docs to docs.opendev.org

* Fri Nov 19 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20211119211858.fae0f65
- Update patches
- Switch testing to Yoga testing runtime
- Reflect osf/ to openinfra/ namespace rename

* Mon Aug 30 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20210830221809.2bf7bf6
- Update patches
- [Trivial] Fix swift's extension discovery

* Fri Aug 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20210827221817.0398f2a
- Update patches
- Fix extension discovery for object_storage

* Tue Jun 08 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20210609001819.c9dcf15
- Update patches
- Update default cirros version to 0.5.2

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20210528120617.9a2d7cb
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20210523172816.9a2d7cb
- Update patches

* Sat May 15 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.2-0.20210515231812.9a2d7cb
- Update patches
- Use assertCountEqual instead of assertItemsEqual
- Use Xena zuul job template

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20210428231805.f88961e
- Update patches
- Updating download_with_retry function

* Wed Apr 21 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20210421231735.894835c
- Update patches
- Stop trying to use identity URI if dashboard URL exists
- Add wallaby job

* Thu Apr 15 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20210415151735.33b2a93
- Update patches
- setup.cfg: Replace dashes with underscores
- Release 3.2.0 releasenotes

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Manila: Add snapshot capabilities in [share]
- Inclusive jargon
- Switch to packstack centos8-stream base job
- Manila: Set multitenancy_enabled in [share]

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix share endpoint discovery

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Skip test_create_update_server_with_subnet
- Fix manila backend_names and enable_protocols

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Mar 20 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add alternative image to be downloaded

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix placement endpoint discovery
- Set ssl cert option for horizon service

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Feb 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable barbican service
- Remove deprecated scenario image option

* Sun Feb 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix a typo in a role var

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix doc style issues and fix some typos

* Fri Jan 29 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't run refstack jobs on irrelevant files change
- Enable neutron port security for Octavia tests

* Fri Jan 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Release 3.1.0 releasenotes
- Add placement service versions discovery
- Remove deprecated volume API config options
- Get ssl opts to every service class

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace refstack-client job
- Remove OS_AUTH_URL workaround

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Dec 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix and improve SSL configuration
- Replace stein jobs by ussuri and victoria ones

* Thu Dec 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix doc, releasenotes plus build pdf

* Fri Nov 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Nov 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add irrelevant-files to the provider job
- Remove six.PY3 conditions
- Fix flake8 errors

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate to content provider jobs/templates

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Run unit tests by py38 as well

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Edit assert to support py2

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix aliases in .zuul.yaml

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Anchor irrelevant files in .zuul.yaml

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Edit unit test base class inheritance

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [share] Specify supported protocols

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve octavia tempest plugin configuration

* Fri Jul 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix packstack jobs and improve playbook's style

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update DEFAULT_FLAVOR_{RAM, _ALT} >= 128

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix heat plugin support

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added virtualenv and tox installation

* Sat Jun 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update jobs for interop repos renaming

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make name of the demo user unique

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make packstack jobs non voting

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update constraints handling
- Fix install-plugins role

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add pep8 job

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup py27 support

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change role setting for octavia

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to c8 based tripleo standalone jobs
- Added Mistral service type workflowv2

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Switch to c8 based tripleo standalone jobs
- Added Mistral service type workflowv2
- Switch to c8 based tripleo standalone jobs
- Added Mistral service type workflowv2

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to c8 based tripleo standalone jobs

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added Mistral service type workflowv2

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix TypeError on configparser

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace yaml.load() with yaml.safe_load()

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for storage pools

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use centos8 in packstack jobs
- Fix the python 3 support and drop python 2 and 3.5
- Discover Barbican service

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove support of nova-network"
- Remove support of nova-network

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Create networks only when network service is enabled"
- Create networks only when network service is enabled

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update compute config only when compute section exists

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Decode bytes data to string

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace ostempest job with plain tripleo standalone

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't use name of a service as a key
- Add train jobs, make master packstack non voting
- Fix section of s3_url and ec2_url
- Merge "Enable designate service"
- Merge "Allow discover-tempest-config to run with no nova or glance endpoint"
- Collect openstack services logs after tempest run
- Merge "Set compute/min_compute_nodes"
- Merge "Discover Designate service"
- Enable designate service
- Set compute/min_compute_nodes
- Discover Designate service
- Merge "Sync Sphinx requirement"
- Use https for cirros image
- Sync Sphinx requirement
- Allow discover-tempest-config to run with no nova or glance endpoint

